Bug 834144 - XFCE 4.10 automount doesn't work with a default configuration
XFCE 4.10 automount doesn't work with a default configuration
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: thunar-volman (Show other bugs)
17
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 20:41 EDT by Artem S. Tashkinov
Modified: 2013-03-05 23:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 12:31:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem S. Tashkinov 2012-06-20 20:41:40 EDT
Description of problem: XFCE here ignores inserted USB flash drives


Version-Release number of selected component (if applicable): 

thunar-volman-0.8.0-1.fc17.i686
gvfs-1.12.3-1.fc17.i686
polkit-gnome-0.105-2.fc17.i686
ConsoleKit-x11-0.4.5-2.fc17.i686
lxdm-0.4.1-1.fc17.i686


How reproducible: Always


Steps to Reproduce:
1. Login into XFCE
2. Insert a USB flash drive
3.
  
Actual results: nothing happens


Expected results: USB drive gets mounted


Additional info:

I have manually created this file:



$ cat /etc/polkit-1/localauthority/50-local.d/50-org.freedesktop.udisks2.pkla 
[Local Users]
Identity=unix-group:users
Action=org.freedesktop.udisks2.*
ResultAny=yes
ResultInactive=no
ResultActive=yes



Now automount works.



$ ck-list-sessions 
Session3:
	unix-user = '1000'
	realname = '(null)'
	seat = 'Seat1'
	session-type = ''
	active = TRUE
	x11-display = ':0'
	x11-display-device = '/dev/tty7'
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2012-06-20T23:49:57.627170Z'
	login-session-id = '9'
Comment 1 Kevin Fenzi 2012-07-01 21:17:03 EDT
Are you running Thunar? 

If you remove your custom polkit file and run Thunar does it work as expected?
Comment 2 Artem S. Tashkinov 2012-07-02 01:24:45 EDT
(In reply to comment #1)
> Are you running Thunar? 

Surely.

> If you remove your custom polkit file and run Thunar does it work as expected?

No, nothing happens if I insert mass storage media.
Comment 3 Christoph Wickert 2012-07-02 02:07:08 EDT
You definitely should not need this file, works fine for me.

I guess it is more a problem with lxdm e.g. http://sourceforge.net/tracker/?func=detail&aid=3505563&group_id=180858&atid=894869

Can you try with gdm or lightdm-gtk?
Comment 4 Artem S. Tashkinov 2012-07-02 12:31:16 EDT
(In reply to comment #3)

Maybe because you don't use lxdm.

I cannot test any other login managers at the moment.

I will reopen this bug report when I regain access to the PC in question.

Note You need to log in before you can comment on or make changes to this bug.